JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.test('fleet_abc123', 'webhook_abc123');
console.log(response.error);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.test(
fleet_id="fleet_abc123",
webhook_id="webhook_abc123",
)
print(response.error)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.Test(
context.TODO(),
"fleet_abc123",
"webhook_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Error)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
response = cerca.webhooks.test_("fleet_abc123", "webhook_abc123")
puts(response)cerca webhooks test \
--api-key 'My API Key' \
--fleet-id fleet_abc123 \
--webhook-id webhook_abc123curl --request POST \
--url https://api.cerca.dev/fleets/{fleetId}/webhooks/{webhookId}/test \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/fleets/{fleetId}/webhooks/{webhookId}/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.cerca.dev/fleets/{fleetId}/webhooks/{webhookId}/test")
.header("Authorization", "Bearer <token>")
.asString();{
"error": "<string>",
"statusCode": 123,
"success": true
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Webhooks
Send test webhook
POST
/
fleets
/
{fleetId}
/
webhooks
/
{webhookId}
/
test
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.test('fleet_abc123', 'webhook_abc123');
console.log(response.error);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.test(
fleet_id="fleet_abc123",
webhook_id="webhook_abc123",
)
print(response.error)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.Test(
context.TODO(),
"fleet_abc123",
"webhook_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Error)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
response = cerca.webhooks.test_("fleet_abc123", "webhook_abc123")
puts(response)cerca webhooks test \
--api-key 'My API Key' \
--fleet-id fleet_abc123 \
--webhook-id webhook_abc123Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"fleet_abc123"
Minimum string length:
1Example:
"webhook_abc123"
⌘I